Bug 1167525 - issue about creating javamail server on webconsole
Summary: issue about creating javamail server on webconsole
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.3.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: DR12
: EAP 6.4.0
Assignee: Harald Pehl
QA Contact: Pavel Jelinek
URL:
Whiteboard:
Depends On:
Blocks: 1169506
TreeView+ depends on / blocked
 
Reported: 2014-11-25 02:08 UTC by Qi Yong
Modified: 2019-08-19 12:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:38:48 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker HAL-526 0 Major Resolved Wrong set of required attributes when creating a new mail server 2018-01-08 21:24:37 UTC

Description Qi Yong 2014-11-25 02:08:54 UTC
Description of problem:
When create javamail server on webconsole, Username and Password is required. But in domain/standalone xml, Username and Password are optional. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. log in webconsole and create a mail server in Configuration->Connector->Mail
2. leave Username and Password empty after fill in other part
3. click Save and see "Invalid input" error for Username and Password

Actual results:
"Invalid input" error was showed when try to save the configuration

Expected results:
no error message should be showed and could save the configuration with empty Username and Passsword

Additional info:
No username and password are allowed in mail subsystem tag in mail subsystem in domain/standalone xml.

Comment 1 JBoss JIRA Server 2014-11-25 16:17:01 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-526 to Resolved

Comment 2 Pavel Jelinek 2014-12-04 16:01:29 UTC
Verified for EAP 6.4.0.DR12


Note You need to log in before you can comment on or make changes to this bug.